ImagickPixel::getColorCount
ImagickPixel::getHSL
The ImagickPixel class
PHP Manual

# ImagickPixel::getColorValue

(No version information available, might be only in CVS)

ImagickPixel::getColorValue — Gets the normalized value of the provided color channel

### Description

float ImagickPixel::getColorValue ( int `$color` )
Warning

This function is currently not documented; only its argument list is available.

Retrieves the value of the color channel specified, as a floating-point number between 0 and 1.

### Parameters

`color`

  The channel to check, specified as one of the Imagick channel constants.

### Return Values

The value of the channel, as a normalized floating-point number, throwing ImagickPixelException on error.

ImagickPixel::getColorCount
ImagickPixel::getHSL
The ImagickPixel class
PHP Manual